Debian Bug report logs - #441660
tex4ht: FTBFS: The type java.lang.Object cannot be resolved

version graph

Package: tex4ht; Maintainer for tex4ht is Kapil Hari Paranjape <kapil@debian.org>; Source for tex4ht is src:tex4ht.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 10 Sep 2007 19:54:20 UTC

Severity: serious

Found in version tex4ht/20070821-1

Fixed in version tex4ht/20070904-1

Done: Kapil Hari Paranjape <kapil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kapil Hari Paranjape <kapil@debian.org>:
Bug#441660; Package tex4ht. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Kapil Hari Paranjape <kapil@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: tex4ht: FTBFS: The type java.lang.Object cannot be resolved
Date: Mon, 10 Sep 2007 21:31:09 +0200
Package: tex4ht
version: 20070821-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20070905 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:
ecj -d class -1.5 java/HtJsml.java java/HtSpk.java java/xtpipes.java java/OomFilter.java java/GroupMn.java java/OoFilter.java java/JsmlMathBreak.java java/JsmlFilter.java java/xtpipes/Xtpipes.java java/xtpipes/lib/ScriptsManagerLH.java java/xtpipes/lib/ScriptsManager.java java/xtpipes/util/FileInfo.java java/xtpipes/util/InputObject.java java/xtpipes/XtpipesUni.java java/OoUtilities.java java/EmSpk.java
----------
1. ERROR in java/HtJsml.java (at line 1)
	import org.w3c.dom.*;
	^
The type java.lang.Object cannot be resolved. It is indirectly referenced from required .class files
----------
2. ERROR in java/HtJsml.java (at line 1)
	import org.w3c.dom.*;
	^
The type java.lang.String cannot be resolved. It is indirectly referenced from required .class files
----------
3. ERROR in java/HtJsml.java (at line 1)
	import org.w3c.dom.*;
	       ^^^
The import org cannot be resolved
----------
4. ERROR in java/HtJsml.java (at line 2)
	public class HtJsml {
	             ^^^^^^
Implicit super constructor Object() is undefined for default constructor. Must define an explicit constructor
----------
5. ERROR in java/HtJsml.java (at line 3)
	private static void insertLevelPrefix(Node node, int level){
	                                      ^^^^
Node cannot be resolved to a type
----------
6. ERROR in java/HtJsml.java (at line 5)
	if (node.getNodeType() == Node.ELEMENT_NODE) {
	                          ^^^^
Node cannot be resolved
----------
7. ERROR in java/HtJsml.java (at line 7)
	Node attr = node.getAttributes().getNamedItem("prefix");
	^^^^
Node cannot be resolved to a type
----------
8. ERROR in java/HtJsml.java (at line 9)
	String prefix = attr.getNodeValue();
	^^^^^^
String cannot be resolved to a type
----------
9. ERROR in java/HtJsml.java (at line 10)
	String  s = "";
	^^^^^^
String cannot be resolved to a type
----------
10. ERROR in java/HtJsml.java (at line 14)
	((org.w3c.dom.Element) node).setAttribute( "depth", ""+level);
	  ^^^
org cannot be resolved
----------
11. ERROR in java/HtJsml.java (at line 15)
	Node child = node.getFirstChild();
	^^^^
Node cannot be resolved to a type
----------
12. ERROR in java/HtJsml.java (at line 17)
	node.insertBefore( dom.createTextNode(s), child );
	                   ^^^
dom cannot be resolved
----------
13. ERROR in java/HtJsml.java (at line 21)
	NodeList children = node.getChildNodes();
	^^^^^^^^
NodeList cannot be resolved to a type
----------
14. ERROR in java/HtJsml.java (at line 23)
	Node child = children.item(i);
	^^^^
Node cannot be resolved to a type
----------
15. ERROR in java/HtJsml.java (at line 26)
	private static void setContinuedNote(Node node){
	                                     ^^^^
Node cannot be resolved to a type
----------
16. ERROR in java/HtJsml.java (at line 27)
	if (node.getNodeType() == Node.ELEMENT_NODE) {
	                          ^^^^
Node cannot be resolved
----------
17. ERROR in java/HtJsml.java (at line 29)
	Node attr = node.getAttributes().getNamedItem("continued");
	^^^^
Node cannot be resolved to a type
----------
18. ERROR in java/HtJsml.java (at line 33)
	((org.w3c.dom.Text) node).setData( attr.getNodeValue() );
	  ^^^
org cannot be resolved
----------
19. ERROR in java/HtJsml.java (at line 37)
	NodeList children = node.getChildNodes();
	^^^^^^^^
NodeList cannot be resolved to a type
----------
20. ERROR in java/HtJsml.java (at line 39)
	Node child = children.item(i);
	^^^^
Node cannot be resolved to a type
----------
21. ERROR in java/HtJsml.java (at line 43)
	private static Document dom;
	               ^^^^^^^^
Document cannot be resolved to a type
----------
22. ERROR in java/HtJsml.java (at line 44)
	public static void mnGroup(Node d) {
	                           ^^^^
Node cannot be resolved to a type
----------
23. ERROR in java/HtJsml.java (at line 45)
	dom = (Document) d;
	^^^
dom cannot be resolved
----------
24. ERROR in java/HtJsml.java (at line 45)
	dom = (Document) d;
	       ^^^^^^^^
Document cannot be resolved to a type
----------
25. ERROR in java/HtJsml.java (at line 46)
	setMnGroup(dom.getFirstChild());
	           ^^^
dom cannot be resolved
----------
26. ERROR in java/HtJsml.java (at line 48)
	private static void setMnGroup(Node node) {
	                               ^^^^
Node cannot be resolved to a type
----------
27. ERROR in java/HtJsml.java (at line 51)
	NodeList children = node.getChildNodes();
	^^^^^^^^
NodeList cannot be resolved to a type
----------
28. ERROR in java/HtJsml.java (at line 55)
	Node child = children.item(i).getFirstChild();
	^^^^
Node cannot be resolved to a type
----------
29. ERROR in java/HtJsml.java (at line 58)
	} else if( child.getNodeType() != Node.TEXT_NODE ){
	                                  ^^^^
Node cannot be resolved
----------
30. ERROR in java/HtJsml.java (at line 61)
	String s = child.getNodeValue();
	^^^^^^
String cannot be resolved to a type
----------
31. ERROR in java/HtJsml.java (at line 126)
	Node parent = node.getParentNode();
	^^^^
Node cannot be resolved to a type
----------
32. ERROR in java/HtJsml.java (at line 127)
	Element g = dom.createElement( "mn-group-s" );
	^^^^^^^
Element cannot be resolved to a type
----------
33. ERROR in java/HtJsml.java (at line 127)
	Element g = dom.createElement( "mn-group-s" );
	            ^^^
dom cannot be resolved
----------
34. ERROR in java/HtJsml.java (at line 128)
	Element cur = dom.createElement( "mn-group" );
	^^^^^^^
Element cannot be resolved to a type
----------
35. ERROR in java/HtJsml.java (at line 128)
	Element cur = dom.createElement( "mn-group" );
	              ^^^
dom cannot be resolved
----------
36. ERROR in java/HtJsml.java (at line 130)
	Node child = node.getFirstChild();
	^^^^
Node cannot be resolved to a type
----------
37. ERROR in java/HtJsml.java (at line 135)
	cur = dom.createElement( "mn-group" );
	      ^^^
dom cannot be resolved
----------
38. ERROR in java/HtJsml.java (at line 143)
	NodeList children = node.getChildNodes();
	^^^^^^^^
NodeList cannot be resolved to a type
----------
39. ERROR in java/HtJsml.java (at line 145)
	Node child = children.item(i);
	^^^^
Node cannot be resolved to a type
----------
40. ERROR in java/HtJsml.java (at line 146)
	if (child.getNodeType() == Node.ELEMENT_NODE) {
	                           ^^^^
Node cannot be resolved
----------
41. ERROR in java/HtJsml.java (at line 150)
	public static void fracLevel(Node d) {
	                             ^^^^
Node cannot be resolved to a type
----------
42. ERROR in java/HtJsml.java (at line 151)
	dom = (Document) d;
	^^^
dom cannot be resolved
----------
43. ERROR in java/HtJsml.java (at line 151)
	dom = (Document) d;
	       ^^^^^^^^
Document cannot be resolved to a type
----------
44. ERROR in java/HtJsml.java (at line 152)
	setFracLevel(dom.getFirstChild(), 0);
	             ^^^
dom cannot be resolved
----------
45. ERROR in java/HtJsml.java (at line 154)
	private static int setFracLevel(Node node, int cont) {
	                                ^^^^
Node cannot be resolved to a type
----------
46. ERROR in java/HtJsml.java (at line 157)
	String ndName = node.getNodeName();
	^^^^^^
String cannot be resolved to a type
----------
47. ERROR in java/HtJsml.java (at line 159)
	String clValue = null;
	^^^^^^
String cannot be resolved to a type
----------
48. ERROR in java/HtJsml.java (at line 162)
	Node cl = node.getAttributes().getNamedItem("class");
	^^^^
Node cannot be resolved to a type
----------
49. ERROR in java/HtJsml.java (at line 172)
	NodeList children = node.getChildNodes();
	^^^^^^^^
NodeList cannot be resolved to a type
----------
50. ERROR in java/HtJsml.java (at line 175)
	Node child = children.item(i);
	^^^^
Node cannot be resolved to a type
----------
51. ERROR in java/HtJsml.java (at line 176)
	if (child.getNodeType() == Node.ELEMENT_NODE) {
	                           ^^^^
Node cannot be resolved
----------
52. ERROR in java/HtJsml.java (at line 199)
	Node child = node.getFirstChild();
	^^^^
Node cannot be resolved to a type
----------
53. ERROR in java/HtJsml.java (at line 200)
	if (child.getNodeType() == Node.ELEMENT_NODE) {
	                           ^^^^
Node cannot be resolved
----------
54. ERROR in java/HtJsml.java (at line 201)
	Node cls = child.getAttributes() .getNamedItem("class");
	^^^^
Node cannot be resolved to a type
----------
55. ERROR in java/HtJsml.java (at line 203)
	String clsName = cls.getNodeValue();
	^^^^^^
String cannot be resolved to a type
----------
56. ERROR in java/HtJsml.java (at line 209)
	Node child = node.getLastChild();
	^^^^
Node cannot be resolved to a type
----------
57. ERROR in java/HtJsml.java (at line 210)
	if (child.getNodeType() == Node.ELEMENT_NODE) {
	                           ^^^^
Node cannot be resolved
----------
58. ERROR in java/HtJsml.java (at line 211)
	Node cls = child.getAttributes() .getNamedItem("class");
	^^^^
Node cannot be resolved to a type
----------
59. ERROR in java/HtJsml.java (at line 213)
	String clsName = cls.getNodeValue();
	^^^^^^
String cannot be resolved to a type
----------
60. ERROR in java/HtJsml.java (at line 220)
	Node child = node.getLastChild();
	^^^^
Node cannot be resolved to a type
----------
61. ERROR in java/HtJsml.java (at line 221)
	if (child.getNodeType() == Node.ELEMENT_NODE) {
	                           ^^^^
Node cannot be resolved
----------
62. ERROR in java/HtJsml.java (at line 222)
	Node cls = child.getAttributes() .getNamedItem("class");
	^^^^
Node cannot be resolved to a type
----------
63. ERROR in java/HtJsml.java (at line 224)
	String clsName = cls.getNodeValue();
	^^^^^^
String cannot be resolved to a type
----------
64. ERROR in java/HtJsml.java (at line 233)
	Node child = children.item(i);
	^^^^
Node cannot be resolved to a type
----------
65. ERROR in java/HtJsml.java (at line 234)
	if (child.getNodeType() == Node.ELEMENT_NODE) {
	                           ^^^^
Node cannot be resolved
----------
66. ERROR in java/HtJsml.java (at line 235)
	Node cls = child.getAttributes()
	^^^^
Node cannot be resolved to a type
----------
67. ERROR in java/HtJsml.java (at line 238)
	String clsName = cls.getNodeValue();
	^^^^^^
String cannot be resolved to a type
----------
68. ERROR in java/HtJsml.java (at line 249)
	public static void scriptLevel(Node dom) {
	                               ^^^^
Node cannot be resolved to a type
----------
69. ERROR in java/HtJsml.java (at line 252)
	private static void setScriptLevel(Node node, String prefix) {
	                                   ^^^^
Node cannot be resolved to a type
----------
70. ERROR in java/HtJsml.java (at line 252)
	private static void setScriptLevel(Node node, String prefix) {
	                                              ^^^^^^
String cannot be resolved to a type
----------
71. ERROR in java/HtJsml.java (at line 253)
	String clName = null;
	^^^^^^
String cannot be resolved to a type
----------
72. ERROR in java/HtJsml.java (at line 256)
	Node cl = node.getAttributes().getNamedItem("class");
	^^^^
Node cannot be resolved to a type
----------
73. ERROR in java/HtJsml.java (at line 264)
	Node child = node.getFirstChild();
	^^^^
Node cannot be resolved to a type
----------
74. ERROR in java/HtJsml.java (at line 265)
	if( (child.getNodeType() == Node.ELEMENT_NODE)
	                            ^^^^
Node cannot be resolved
----------
75. ERROR in java/HtJsml.java (at line 269)
	Node cls = child.getAttributes().getNamedItem("class");
	^^^^
Node cannot be resolved to a type
----------
76. ERROR in java/HtJsml.java (at line 271)
	String clsName = cls.getNodeValue();
	^^^^^^
String cannot be resolved to a type
----------
77. ERROR in java/HtJsml.java (at line 277)
	String s = child.getNodeValue();
	^^^^^^
String cannot be resolved to a type
----------
78. ERROR in java/HtJsml.java (at line 278)
	((org.w3c.dom.Text) child).setData( prefix + s );
	  ^^^
org cannot be resolved
----------
79. ERROR in java/HtJsml.java (at line 289)
	String ndName = node.getNodeName();
	^^^^^^
String cannot be resolved to a type
----------
80. ERROR in java/HtJsml.java (at line 295)
	NodeList children = node.getChildNodes();
	^^^^^^^^
NodeList cannot be resolved to a type
----------
81. ERROR in java/HtJsml.java (at line 297)
	Node child = children.item(i);
	^^^^
Node cannot be resolved to a type
----------
82. ERROR in java/HtJsml.java (at line 298)
	if (child.getNodeType() == Node.ELEMENT_NODE) {
	                           ^^^^
Node cannot be resolved
----------
83. ERROR in java/HtJsml.java (at line 304)
	public static void rootLevel(Node d) {
	                             ^^^^
Node cannot be resolved to a type
----------
84. ERROR in java/HtJsml.java (at line 305)
	dom = (Document) d;
	^^^
dom cannot be resolved
----------
85. ERROR in java/HtJsml.java (at line 305)
	dom = (Document) d;
	       ^^^^^^^^
Document cannot be resolved to a type
----------
86. ERROR in java/HtJsml.java (at line 308)
	private static int setRootLevel( Node node ){
	                                 ^^^^
Node cannot be resolved to a type
----------
87. ERROR in java/HtJsml.java (at line 312)
	NodeList children = node.getChildNodes();
	^^^^^^^^
NodeList cannot be resolved to a type
----------
88. ERROR in java/HtJsml.java (at line 315)
	Node child = children.item(i);
	^^^^
Node cannot be resolved to a type
----------
89. ERROR in java/HtJsml.java (at line 316)
	if (child.getNodeType() == Node.ELEMENT_NODE) {
	                           ^^^^
Node cannot be resolved
----------
90. ERROR in java/HtJsml.java (at line 322)
	String ndName =  node.getNodeName();
	^^^^^^
String cannot be resolved to a type
----------
91. ERROR in java/HtJsml.java (at line 331)
	Node child = children.item(i);
	^^^^
Node cannot be resolved to a type
----------
92. ERROR in java/HtJsml.java (at line 332)
	if (child.getNodeType() == Node.ELEMENT_NODE) {
	                           ^^^^
Node cannot be resolved
----------
93. ERROR in java/HtJsml.java (at line 333)
	Node cls = child.getAttributes()
	^^^^
Node cannot be resolved to a type
----------
94. ERROR in java/HtJsml.java (at line 336)
	String clsName = cls.getNodeValue();
	^^^^^^
String cannot be resolved to a type
----------
----------
95. ERROR in java/OomFilter.java (at line 28)
	public class OomFilter extends XMLFilterImpl {
	                               ^^^^^^^^^^^^^
XMLFilterImpl cannot be resolved to a type
----------
----------
96. ERROR in java/GroupMn.java (at line 5)
	public class GroupMn extends XMLFilterImpl {
	                             ^^^^^^^^^^^^^
XMLFilterImpl cannot be resolved to a type
----------
----------
97. ERROR in java/OoFilter.java (at line 28)
	public class OoFilter extends XMLFilterImpl {
	                              ^^^^^^^^^^^^^
XMLFilterImpl cannot be resolved to a type
----------
----------
98. ERROR in java/JsmlMathBreak.java (at line 12)
	public class JsmlMathBreak extends DefaultHandler {
	                                   ^^^^^^^^^^^^^^
DefaultHandler cannot be resolved to a type
----------
----------
99. ERROR in java/JsmlFilter.java (at line 5)
	public class JsmlFilter extends XMLFilterImpl {
	                                ^^^^^^^^^^^^^
XMLFilterImpl cannot be resolved to a type
----------
----------
100. ERROR in java/xtpipes/Xtpipes.java (at line 23)
	class XtpipesPrintWriter extends PrintWriter {
	                                 ^^^^^^^^^^^
PrintWriter cannot be resolved to a type
----------
101. ERROR in java/xtpipes/Xtpipes.java (at line 1420)
	class XtpipesEntityResolver implements  org.xml.sax.EntityResolver {
	                                        ^^^
org cannot be resolved to a type
----------
----------
102. ERROR in java/xtpipes/lib/ScriptsManagerLH.java (at line 6)
	public class ScriptsManagerLH implements LexicalHandler {
	                                         ^^^^^^^^^^^^^^
LexicalHandler cannot be resolved to a type
----------
----------
103. ERROR in java/xtpipes/lib/ScriptsManager.java (at line 15)
	public class ScriptsManager extends DefaultHandler {
	                                    ^^^^^^^^^^^^^^
DefaultHandler cannot be resolved to a type
----------
103 problems (103 errors)make[1]: *** [xtpipes.jar] Error 255
make[1]: Leaving directory `/build/user/tex4ht-20070821/src'
make: *** [build-stamp] Error 2

The full build log is available from
http://people.debian.org/~lucas/logs/2007/09/05

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Kapil Hari Paranjape <kapil@debian.org>:
Bug#441660; Package tex4ht. Full text and rfc822 format available.

Acknowledgement sent to Kapil Hari Paranjape <kapil@imsc.res.in>:
Extra info received and forwarded to list. Copy sent to Kapil Hari Paranjape <kapil@debian.org>. Full text and rfc822 format available.

Message #10 received at 441660@bugs.debian.org (full text, mbox):

From: Kapil Hari Paranjape <kapil@imsc.res.in>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 441660@bugs.debian.org
Subject: Re: Bug#441660: tex4ht: FTBFS: The type java.lang.Object cannot be resolved
Date: Tue, 11 Sep 2007 10:25:59 +0530
Hello,

On Mon, 10 Sep 2007, Lucas Nussbaum wrote:
> Package: tex4ht
> version: 20070821-1
> Severity: serious
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20070905 qa-ftbfs
> Justification: FTBFS on i386

> The full build log is available from
> http://people.debian.org/~lucas/logs/2007/09/05

I believe that the problem is that the build was attempted using 
ecj (3.3.0+0728-4) which does not bring in the jvm which it used.
The newer version of ecj seems to fix this. I will re-check this
and confirm. The relevant snippet of the ecj changelog is enclosed.

------------------snippet of changelog------------------------
ecj (3.3.0+0728-5) unstable; urgency=medium

  * Make ecj architecture dependent, dependencies depend on the jvm
  used.
  * ecj: Depend on gij-x.y.

------------------snippet of changelog------------------------

Regards,

Kapil.
--





Reply sent to Kapil Hari Paranjape <kapil@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 441660-close@bugs.debian.org (full text, mbox):

From: Kapil Hari Paranjape <kapil@debian.org>
To: 441660-close@bugs.debian.org
Subject: Bug#441660: fixed in tex4ht 20070904-1
Date: Fri, 14 Sep 2007 06:02:04 +0000
Source: tex4ht
Source-Version: 20070904-1

We believe that the bug you reported is fixed in the latest version of
tex4ht, which is due to be installed in the Debian FTP archive:

tex4ht-common_20070904-1_all.deb
  to pool/main/t/tex4ht/tex4ht-common_20070904-1_all.deb
tex4ht_20070904-1.diff.gz
  to pool/main/t/tex4ht/tex4ht_20070904-1.diff.gz
tex4ht_20070904-1.dsc
  to pool/main/t/tex4ht/tex4ht_20070904-1.dsc
tex4ht_20070904-1_i386.deb
  to pool/main/t/tex4ht/tex4ht_20070904-1_i386.deb
tex4ht_20070904.orig.tar.gz
  to pool/main/t/tex4ht/tex4ht_20070904.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 441660@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kapil Hari Paranjape <kapil@debian.org> (supplier of updated tex4ht package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 14 Sep 2007 10:47:38 +0530
Source: tex4ht
Binary: tex4ht tex4ht-common
Architecture: source i386 all
Version: 20070904-1
Distribution: unstable
Urgency: low
Maintainer: Kapil Hari Paranjape <kapil@debian.org>
Changed-By: Kapil Hari Paranjape <kapil@debian.org>
Description: 
 tex4ht     - LaTeX and TeX for Hypertext (HTML) - executables
 tex4ht-common - LaTeX and TeX for Hypertext (HTML) - support files
Closes: 431964 440071 440075 440169 441660
Changes: 
 tex4ht (20070904-1) unstable; urgency=low
 .
   * New upstream release (2007_09_04_0340).
     - introduced support for \includegraphics in \title{}.
       Closes: #440169.
     - repackaged xtpipes within tex4ht.
   * debian/control:
     - depend on version of ecj-gcj that depends on the
       jvm used to build it. Closes: #441660.
   * debian/tex4ht.{postinst,postrm}: run "texhash" to ensure
     that "tex4ht.env" entry in the search lists is updated.
     Closes: #431964.
   * thank Michael Hanke for suggesting "ecj" as the compiler for
     "xtpipes" support which helped close #405800 and #384578.
   * debian/update_src.sh:
     - replace "set -x" with "set -e".
   * debian/patches:
     - add_Makefile.diff: modified the sed command to make tex4ht.env
       avoid SELFAUTOPARENT. Closes: #440075.
     - add_xtpipes_support.diff:
       * modified installation of xtpipes files to increase compatibility
         with upstream.
       * fixed definition of XTPIPES_SRC using make globbing.
     - fix_tex4ht_env.diff: modified the java calls to reflect the
       location of jar file in /usr/share/tex4ht/. Closes: #440071.
Files: 
 d91eb42f743f4512ea25a1fb207919a5 719 tex optional tex4ht_20070904-1.dsc
 ea69a22b11c7e623d08ccc7fbcb80710 3688126 tex optional tex4ht_20070904.orig.tar.gz
 a0650cd770a1362fb054c3cf1a3ec6b2 98960 tex optional tex4ht_20070904-1.diff.gz
 26b8bee1640250d90f060fad8faf5d5c 1385396 tex optional tex4ht-common_20070904-1_all.deb
 11883e450e63591eb37c6cf9267420e0 229064 tex optional tex4ht_20070904-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFG6hvCSR+P2lQW5bgRAoCeAJwPUfcNOVj3afK7RhLUuSH3hrZuLACeJRcl
c+HJ2FUxziJ59TPc655AKMA=
=s6Ll
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 Nov 2007 07:29:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:58:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.